Package org.eclipse.net4j.ui

# Class Net4jItemProvider.RemoveAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.net4j.util.ui.actions.SafeAction
org.eclipse.net4j.util.ui.actions.LongRunningAction
org.eclipse.net4j.ui.Net4jItemProvider.RemoveAction

All Implemented Interfaces:
  `IAction`

Enclosing class:
  `Net4jItemProvider`

public static class Net4jItemProvider.RemoveAction extends org.eclipse.net4j.util.ui.actions.LongRunningAction
If the meaning of this type isn't clear, there really should be more of a description here...

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.ui.actions.SafeAction

`INTERACTIVE`

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`RemoveAction(Object object)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doRun(IProgressMonitor progressMonitor)`
`Object`
`getObject()`

### Methods inherited from class org.eclipse.net4j.util.ui.actions.LongRunningAction

`cancel, checkCancelation, getBundleID, getDisplay, getErrorMessage, getErrorTitle, getPage, getShell, getTotalWork, getWorkbenchWindow, preRun, safeRun, setPage, setTotalWork`

### Methods inherited from class org.eclipse.net4j.util.ui.actions.SafeAction

`getEvent, run, runWithEvent`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoveAction

public RemoveAction(Object object)

## Method Details

### getObject

public Object getObject()

### doRun

protected void doRun(IProgressMonitor progressMonitor) throws Exception

Specified by:
  `doRun` in class `org.eclipse.net4j.util.ui.actions.LongRunningAction`
Throws:
  `Exception`